Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQObjectList Class Reference

The TQObjectList class is a TQPtrList of TQObjects. More...

`#include <ntqobjectlist.h>`

Inherits TQPtrList<TQObject>.

List of all member functions.

## Public Members

- TQObjectList ()
- TQObjectList ( const TQObjectList & list )
- ~TQObjectList ()
- TQObjectList & operator= ( const TQObjectList & list )

## Detailed Description

The TQObjectList class is a TQPtrList of TQObjects.

A TQObjectList is a TQPtrList<TQObject>. The list can be traversed using inherited functions, e.g. getFirst(), next(), etc., or using a TQObjectListIterator iterator.

See TQObject::queryList() for an example of use.

See also TQObjectListIterator, TQObject, Collection Classes, and Non-GUI Classes.

## Member Function Documentation

### TQObjectList::TQObjectList ()

Constructs an empty TQObject list.

### TQObjectList::TQObjectList ( const TQObjectList & list )

Constructs a copy of list.

Each item in list is appended to this list. Only the pointers are copied (shallow copy).

### TQObjectList::~TQObjectList ()

Removes all the object pointers from the list and destroys the list.

All list iterators that access this list will be reset.

See also setAutoDelete().

### TQObjectList & TQObjectList::operator= ( const TQObjectList & list )

Assigns list to this list and returns a reference to this list.

This list is first cleared and then each item in list is appended to this list. Only the pointers are copied (shallow copy) unless newItem() has been reimplemented().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.